drkns 2020-03-25 10:32:35+02:00 - build 129

1. Incorrect COM initialisation.

zg 2018-08-20 21:53:01+03:00 - build 128

1. #64 - FarCommands-view problem.

svs 2014-11-20 16:02:37+03:00 - build 127

1. ...поломались алиасы:

     doskey xxx=yyy
     edit:<xxx

   В результате фар вешается.

svs 2014-11-20 12:12:14+03:00 - build 126

1. run:filename<help -- 'C:\windows\help' is not recognized as an internal or external command, operable program or batch file.

   Поиск ведётся по каталогам, как указано в Хелпе.
   Под команду "help" (без расширения) обычно попадает каталог "C:\windows\help" - это про него ошибка.

   При поиске исполняемого модуля для "run:" применяются те же функции, что и для команды "whereis:".
   Добавил проверку для "run:" на предмет FILE_ATTRIBUTE_DIRECTORY (исключим каталоги)


svs 2014-07-30 17:00:37+04:00 - build

1. Уточнение hlf по поводу "[stream[mode]] --> [stream][mode]"

svs 2014-07-28 21:16:08+04:00 - build 125

1. [stream[mode]] --> [stream][mode]

2. Уточнение для UTF8 без BOM

3. При определении кодовой страницы юникод выбирается только в том случае, если текст явно не похож на ASCII.
   Должно уменьшиться количество ложных определений юникода (а количество ложных определений ASCII, соответственно, вырасти).
   (по аналогии с изменениями в Far build 4024)

svs 2014-07-22 10:29:23+04:00 - build 124

1. "view:<" VS "view: <"

svs 2014-07-17 09:48:56+04:00 - build 123

1. Рефакторинг. Part 0x0C

svs 2014-07-11 14:25:07+04:00 - build 122

1. "Substitution extensions" - всегда (без опции)

2. Уточнение алгоритма получения выходного файла для "run:"

svs 2014-07-10 09:29:34+04:00 - build 121

1. Рефакторинг. Part 0x0B

2. Mantis#0001075: Префиксы плагина не работают с относительными путями.
    run:log<set
    Выполняется правильно, но меняет текущий путь процесса far.exe
    В результате папку невозможно удалить

svs 2014-07-09 16:12:26+04:00 - build 120

1. Текущий каталог

2. Опция "Открывать на просмотр/редактирование пустые файлы" теперь относится только
   к результатам перехвата. Обычный файл нулевого открываются всегда.

svs 2014-07-09 14:07:22+04:00 - build 119

1. Рефакторинг. Part 0x0A

2. Добавлена опция "Подстановка расширений".

     Если в настройках включена опция "Подстановка расширений", то плагин
     пытается найти файловый объект сначала как указано, а затем производит
     поиск объекта с расширениями из списка переменной среды PATHEXT.

     Т.е. "whereis:far" произведет сначала поиск как есть (т.е. "far"),
     а затем (при включенной опции) поиск "far.COM", "far.EXE", "far.BAT",...

     По умолчанию включена.

3. Mantis#0000923: Проблемы с модификаторами перехвата вывода

svs 2014-07-09 11:46:24+04:00 - build 118

1. Рефакторинг. Part 9

2. Mantis#0002471: Программа HANDLE.EXE не обнаруживается

3. Mantis#0000034: неправильная обработка кавычек в строках FARCmds

svs 2014-07-08 21:53:15+04:00 - build 117

1. Mantis#0001075: Префиксы плагина не работают с относительными путями.

svs 2014-07-08 17:46:21+04:00 - build

1. Уточнение хелпа

svs 2014-07-08 17:09:40+04:00 - build 116

1. Рефакторинг. Part 8

2. Уточнение параметров префикса edit:

	edit:[.exe                    - file = '[.exe' (отсутствует закрывающаяся скобка)
	edit:"[.exe" --params ]       - file = '[.exe --params ]'
	edit: [.exe --params ]        - file = '[.exe --params ]'
	edit:[.exe --params ]         - file = '[.exe --params ]'

	edit:[1].txt                  - file = '.txt', line = '1'
	edit: [1].txt                 - file = '[1].txt'
	edit:"[1].txt"                - file = '[1].txt'
	edit:[4,2].txt                - file = '.txt', line = '4', col = '2'
	edit: [4,2].txt               - file = '[4,2].txt'

	edit:[4,2]<[.cmd              - line = '4', col = '2', exec = '[.cmd'
	edit:<[.cmd                   - exec = '[.cmd'
	edit:<"[.exe" --help          - exec = '"[.exe" --help'
	edit:<"[.exe --help           - exec = '"[.exe --help'
	edit:<""[.exe" --help         - bug
	edit:<"[.exe" --help"         - bug
	edit:<2 "far.exe"/?"          - bug
	edit:<2 "far.exe/?            - exec = '"far.exe/?'


   Так же:

   а) в качестве пареметров можно указывать переменные среды
     set Y=2
     edit:[%Y%,3]<[.cmd    <-- результат исполнения '[.cmd' открыть в редакторе и установить курсор в строку 2 и позицию 3
     edit:[%Y%1,3]<[.cmd   <-- результат исполнения '[.cmd' открыть в редакторе и установить курсор в строку 21 и позицию 3

   б) любую из компонент (строка,позиция) можно опускать
     edit:[,]<[.cmd        <-- результат исполнения '[.cmd' открыть в редакторе и установить курсор в строку 1 и позицию 1
     edit:[2,]<[.cmd       <-- результат исполнения '[.cmd' открыть в редакторе и установить курсор в строку 2 и позицию 1
     edit:[,3]<[.cmd       <-- результат исполнения '[.cmd' открыть в редакторе и установить курсор в строку 1 и позицию 3

3. Mantis#0001143: edit:<[.exe --help

4. Mantis#0000923: Проблемы с модификаторами перехвата вывода

5. Mantis#0002272: Не работает явное перенаправление stdout в редактор

6. Mantis#0002273: Не работает явное перенаправление stdout во вьюер, если опущены пробелы

7. Mantis#0000284: Падение FAR Commands на команде edit:<echo %PATH%

8. Mantis#0002471: Программа HANDLE.EXE не обнаруживается

9. Mantis#0002271: Некорректная работа edit: при (.) Intercept stdout only

10.Mantis#0001435: Поломался выбор потока для far:edit (FarCmd plugin)

11.Mantis#0001075: Префиксы плагина не работают с относительными путями


svs 2014-07-07 18:03:10+04:00 - build 115

1. Рефакторинг. Part 7

svs 2014-07-06 18:14:44+04:00 - build 114

1. "...не работает команда edit:%farhome%\changelog..."

svs 2014-07-04 16:45:00+04:00 - build 113

1. Рефакторинг. Part 6

2. Убираем "#include file.cpp" - всё в makefile

svs 2014-07-03 16:38:44+04:00 - build 112

1. Рефакторинг. Part 5

2. Немного про перехваты выводов..

svs 2014-07-02 22:14:06+04:00 - build 111

1. Текущий каталог

svs 2014-07-02 10:31:08+04:00 - build 110

1. Рефакторинг. Part 4

2. Когда-то отвалился "префикс:<|путь|dir"

svs 2014-06-30 12:06:10+04:00 - build 109

1. Команды "load:" и "unload:" могут брать путь из файла

     load: <имяфайла
     unload: <имяфайла

   из файла берется только первая строка.

2. В команде "unload:" можно указать GUID плагина

svs 2014-06-27 16:51:56+04:00 - build

1. Уточнение хелпа

svs 2014-06-26 17:37:15+04:00 - build 108

1. Рефакторинг. Part 3

svs 2014-06-26 16:09:56+04:00 - build 107

1. Mantis#0002713: Убрать функцию Same Folder ("Такой же каталог")
   Вынос функционала Same Folder в новый плагин samefolder.

svs 2014-06-26 10:30:33+04:00 - build 106

1. В build 104 отвалился "goto:<file"

2. Рефакторинг. Part 2

zg 2014-06-21 04:11:49+02:00 - build 105

1. не собиралось в gcc.

svs 2014-06-20 14:02:08+04:00 - build 104

1. Рефакторинг. Part 1

svs 2014-06-19 17:23:46+04:00 - build 103

1. goto:<some.lnk
   переходит к объекту, куда ссылается lnk-файл (можно повесить на ассоциацию)
   http://forum.farmanager.com/viewtopic.php?p=119889#p119889

svs 2014-06-11 12:07:50+04:00 - build 102

1. Mantis#0002701: Освободить префикс "far:"

   Теперь плагин ничего не знает о префиксе "far:"

svs 2014-04-28 16:20:55+04:00 - build 101

1. Убран "macro:"

shmuel 2014-04-26 06:18:36+02:00 - build 100

1. Плагин не компилировался из-за более не существующего флага KMFLAGS_DISABLEOUTPUT.

svs 2014-03-14 13:23:28+04:00 - build 99

1. Mantis#0002570: Обработка некорректного значения в диалоге настроек

svs 2013-04-11 15:31:34+04:00 - build 98

1. Mantis#0001199: link:[/msg]
   а) Убираем проверку на "наличие источника" - пусть Far Manager разбирается.
   б) Выводим хелп, если второй аргумент не указан.

zg 2012-09-23 17:50:20+02:00 - build 97

1. Far 3.0 API 2830

zg 2012-09-20 21:52:16+02:00 - build 96

1. Far 3.0 API 2813

zg 2012-09-16 18:59:07+02:00 - build 95

1. Far 3.0 API 2802

zg 2012-09-16 15:10:24+02:00 - build 94

1. Far 3.0 API 2799

zg 2012-03-26 16:03:18+02:00 - build 93

1. Far 3.0 API 2572

drkns 2012-03-02 14:17:52+02:00 - build 92

1. goto: открывало папку не на той панели.

drkns 2012-02-29 14:33:41+02:00 - build 91

1. При вызове "same filder" из меню дисков меняем папку на той панели, к которой относится меню, а не на пассивной.

svs 2012-02-24 09:43:23+04:00 - build 90

1. Mantis#0002023: Не работает clip: в случае когда размер данных менее 2х байт
   "файл нулевого размера" - очищаем буфер обмена.

svs 2012-02-21 09:37:35+04:00 - build 89

1. Mantis#0002023: Не работает clip: в случае когда размер данных менее 2х байт
   "...вместе с clip: исправились также macro:post goto: whereis:..."

drkns 2012-02-04 13:53:08+02:00 - build 88

1. Warnings.

drkns 2012-01-27 10:27:20+02:00 - build 87

1. Far 3.0.2414.

svs 2012-01-19 15:03:37+04:00 - build 86

1. Для edit: два окна открывалось.

t-rex 2012-01-13 19:54:28+02:00 - build 85

1. Far 3.0 2373.

2. Mantis#1978: Отваливается мышь после выполнения из коммандной строки.

zg 2011-12-30 04:44:28+02:00 - build 84

1. Far 3.0 API 2343.

svs 2011-08-16 11:40:20+03:00 - build 83

1. Bug fix

svs 2011-07-08 15:07:22+03:00 - build 82

1. Отвалился поиск по "Software\Microsoft\Windows\CurrentVersion\App Paths"

2. Bug: после миграции на АПИ 3 фсе время позиционируем на пассивную панель.

drkns 2011-06-28 16:29:52+02:00 - build 81

1. Far 3 API.

drkns 2011-06-24 14:13:47+02:00 - build 80

1. Far 3 API.

drkns 2011-05-21 14:12:19+02:00 - build 79

1. Far 3 API.

t-rex 2011-04-25 12:03:08+02:00 - build 78

1. Far 3.0 API 1988

t-rex 2011-03-10 02:35:20+02:00 - build 77

1. Far 3.0 API 1905

2. Use PluginSettings.

t-rex 2011-02-15 23:05:48+02:00 - build 76

1. Забыл GetGlobalInfoW.

2. Неправильно работал GetPluginInfoW.

t-rex 2011-02-15 22:13:22+02:00 - build 75

1. Поправки для MaxDataSize.

t-rex 2011-02-15 15:17:11+02:00 - build 74

1. Far 3.0.1869 API - done.

t-rex 2011-02-15 00:43:21+02:00 - build 73

1. Far 3.0.1869 API (80% done)

2. Убран код 1.75.

3. Различные чистки и перетасовки.

4. Use pluginreg lib.

5. Use DialogBuilder for dialogs.

t-rex 2011-02-06 00:26:48+02:00

1. lng,hlf -> utf8, reg -> Far2

drkns 2010-10-15 13:23:23+02:00 - build 72

1. Из W-версии убрана опция "Добавить к меню дисков::Клавиша доступа"

svs 2010-07-26 10:41:25+03:00 - build 71

1. Для команд, читающих из файла (clip, goto, whereis, macro:post и macro:check),
   дадим возможность задать максимальное значения (вместо фиксированного 1048576)

2. Добавка в хелп (в английском есть русские буковки)
      macro:post < имяфайла
      macro:check < имяфайла
      goto: <имяфайла

svs 2010-06-04 11:19:12+03:00 - build 70

1. Mantis#0000811: FARCmds не учитывает консольные алиасы
   Алиасы раскрываются при перенаправлении ввода (<)
   Алиасы не раскрываем для whereis, goto и link, когда идет чтение из файла.

2. В loadFile() "внесен" повторяющийся кусок кода про конвертирование прочитанных данных.

3. Переработан кусок по макросам. Действует "второй" режим для post и check:

    текст макроса берётся из заданного файла:

      macro:post < имяфайла
      macro:check < имяфайла

   в хелпе пока не отражено


svs 2010-06-03 18:07:26+03:00 - build 69

1. Mantis#0001367: Улучшение помощи FarCmds
   from JohnDoe

2. В качестве эксперимента :-)
   команда "whereis:", так же как и "goto:", имеет второй режим:

    путь к файлу или каталогу берётся из заданного файла:

      goto: <имяфайла

   в хелпе пока не отражено

svs 2010-05-13 17:31:48+03:00 - build 68

1. Mantis#0001371: view/edit: Безкавычное использование относительных путей с концевыми пробелами

2. Mantis#0001372: "Двойной" синтаксис не всегда работает

3. Mantis#0000811: FARCmds не учитывает консольные алиасы
    "...Алиасы должны подставляться только в командах предполагающих запуск (при перехвате вывода). Например:
     view:<alias
     В прочих случая это просто бессмысленно:
     view:alias
     В этом случае никакого запуска не происходит, должен просто открываться файл с именем alias. Буквально "alias", без всяких подстановок..."

4. Mantis#0001372: "Двойной" синтаксис не всегда работает
     far:run 4<5
     В результате создаётся файл " 4"

5. Mantis#0001369: Кавычки в команде goto: <"имяфайла"
     Но концевой пробел почему-то игнорируется
      goto: <"имяфайла"
      goto: <"имяфайла "
     Обе команды откроют "имяфайла"

   Для правильной работы в Far 2.x минимальный билд должен быть 1547

drkns 2010-05-12 01:00:27+02:00 - build 67

1. warning.

svs 2010-05-11 11:08:58+03:00 - build 66

1. Mantis#0001369: Кавычки в команде goto: <"имяфайла"

2. Mantis#0001370: goto:<имяфайла не работает

t-rex 2010-05-10 13:52:06+02:00 - build 65

1. Mantis#1342: Падение при использовании ключа /u со слишком длинным параметром.

2. Удалил syslog.h, он не использовался.

drkns 2010-05-09 23:22:24+02:00 - build 64

1. gcc warnings.

2. На тему "оптимизации" в предыдущем билде: ну нельзя структуру, инициализируемую адресами стековых переменных, делать статической. Совсем нельзя.

svs 2010-05-07 10:55:58+03:00 - build 63

1. Mantis#0001364: Вывод на экран раздела помощи, соответствующего префиксу.

2. Форматирование кода... (AStyle, как в сорцах Far)

t-rex 2010-05-03 00:24:12+02:00 - build 62

1. link: не работал с относительными путями в Far 2.0

t-rex 2010-05-02 23:16:54+02:00 - build 61

1. Mantis#1363: Фар виснет после link:/?

svs 2010-04-30 13:12:55+03:00 - build

1. Mantis#0001174: whereis: порядок поиска

svs 2010-02-09 18:16:45+03:00 - build 60

1. Для W-версии добавка в виде MCMD_CHECKMACRO

2. Некорректный код для MACRO:POST

t-rex 2010-01-10 23:20:27+02:00 - build 59

1. NM -> MAX_PATH

drkns 2010-01-09 14:17:27+02:00 - build 58

1. Far 2.0.1327.

drkns 2010-01-09 12:59:15+02:00 - build 57

1. Far 2.0.1325.

zg 2010-01-07 19:11:50+02:00 - build 56

1. far 2.0.1317.

drkns 2010-01-06 18:54:47+02:00 - build 55

1. Far 2.0.1311.

svs 2009-11-30 13:40:36+03:00 - build 54

1. Mantis#0001174: whereis: порядок поиска

zg 2009-11-20 14:38:49+02:00 - build 53

1. Mantis#0001170: clip:filename не работает, работает только clip:fullpath\filename

t-rex 2009-11-18 21:30:41+02:00 - build 52

1. Эксперимент с cmd /u из 44 билда не удался, ибо в пайпы всё пишется в такой мешанине что аж жуть.
   Пока /u убрал, для clip:< сделал перекодировку из GetConsoleOutputCP() в юникод.
   Надо видимо сделать чтоб /u добавлялся по какому нибудь параметру для тех кому это надо.

svs 2009-11-02 15:22:01+03:00 - build 51

1. Mantis#0001154: Префикс "edit:" искжает путь к редактируемому файлу

t-rex 2009-10-26 16:14:41+02:00 - build 50

1. Переделка GetMinFarVersion.

drkns 2009-10-24 20:23:01+02:00 - build 49

1. Far 2.0.1180.

t-rex 2009-10-20 13:25:03+02:00

1. Mantis#1121: Несоответствие регистра в названиях файлов.

yjh 2009-10-03 11:35:52+03:00 - build без смены номера

1. Убираем предупреждения на 64хбитовой компиляции

zg 2009-10-03 01:26:02+02:00 - build 48

1. уточнение 45 для перенаправленного ввода.

svs 2009-09-30 11:46:52+03:00 - build 47

1. Mantis#0001075: Префиксы плагина не работают с относительными путями.

drkns 2009-09-27 09:57:00+02:00 - build 46

1. Убираем привязку к CurrentDirectory far'а.

zg 2009-09-26 17:58:07+02:00 - build 45

1. clip: определяет тип файла по bom.

zg 2009-09-25 09:29:43+02:00 - build 44

1. clip:<echo test помещало в клипбоард ерунду.

drkns 2009-08-06 19:11:23+02:00 - build 43

1. Кто-то поменял ln: на link:, но немного не до конца.
   В результате не работало ни так, ни так.

drkns 2009-07-15 20:36:17+02:00 - build 42

1. 0000933: Названия префиксов pload: и unloadp:
   pload -> load
   unloadp -> unload

drkns 2009-06-11 10:36:49+02:00 - build 41

1. Не собиралось в gcc.

svs 2009-06-10 21:31:51+03:00 - build 40

1. Избавляемся от однобуквенного шаманства с префиксами и немного унифицируем разбор префиксов

2. Mantis#0000930: unloadp: Не понимает переменные окружения

svs 2009-06-10 14:41:43+03:00

1. Корректировка хелпов по поводу алисасов

t-rex 2009-06-09 15:01:24+02:00 - build 39

1. Не собирался в x64.

svs 2009-06-09 12:24:12+03:00 - build 38

1. Mantis#0000811: FARCmds не учитывает консольные алиасы
   уточнение

svs 2009-06-08 14:50:57+03:00 - build 37

1. Mantis#0000811: FARCmds не учитывает консольные алиасы

2. В хелп добавлено описание команд pload и unloadp

svs 2009-06-04 09:57:48+03:00 - build 36

1. Mantis#0000914: whereis: не ищет в %FARHOME%

t-rex 2009-03-07 18:16:18+02:00 - build 35

1. Mantis#696: Некоректная проверка на валидность MsgID в x64.

zg 2009-02-24 01:20:23+02:00 - build 34

1. Адаптация к новому PanelAPI в 2.0.789.

drkns 2009-01-27 16:09:51+02:00 - build 33

1. Адаптация к новому PanelAPI в 2.0.753.

drkns 2009-01-10 14:56:20+02:00 - build 32

1. В майкрософтовском Писании о ExpandEnvironmentStrings сказано так:

   lpDst
     Note that this buffer cannot be the same as the lpSrc buffer.


   А в нашем Писании о FSF.ExpandEnvironmentStr сказано так:

   Dest
     Указатель на буфер, в который будет записан результат. Может указывать на Src.


Неудивительно, что простая замена одного другим не проходит даром.

t-rex 2008-12-21 02:33:42+02:00 - build 31

1. Far 2.0 build 677

svs 2008-12-17 00:52:32+03:00 - build

1. Ок, пока разделы @PLoad и @UnloadP с глаз долой

svs 2008-12-17 00:17:53+03:00 - build 30

1. Необходимо дописать разделы: @PLoad и @UnloadP и перевести!!!

2. для ln: добавлен ключ /s - позволяет создавать символическую ссылку-файл или ссылку-каталог.
   Актуален, начиная с Windows Vista (?)
   (висты нет, проверил бы кто :-))

t-rex 2008-12-13 16:04:34+02:00 - build 29

1. Переделал поддержку Load/Unload плагинов в соот. с новым API в 2.0.

t-rex 2008-12-05 02:31:12+02:00 - build 28

1. Префиксы для поддержки API загрузки/выгрузки плагинов в 1.8
   unloadp:path_to_dll (путь может быть и относительным к текущему)
   pload:path_to_dll (путь может быть и относительным к текущему)

drkns 2008-10-06 10:47:38+02:00

1. Адаптация к plugin.hpp >= 1.80.570.

drkns 2008-09-05 10:11:28+02:00 - build 27

1. Адаптация к новому PanelAPI в 1.8.

yjh 2008-06-14 00:49:06+03:00

1. Версия не менялась - синхронизация с новыми названиями констант в 1.8


t-rex 2008-06-08 17:37:05+02:00 - build 26

1. gcc 4.3.0 warnings removed.

drkns 2007-11-18 14:16:38+03:00 - build 25

1. Не работала команда "Same folder" (unicode)


t-rex 2007-11-17 02:03:17+02:00 - build 24

1. Работа с новым DialogAPI в 1.8.

yjh 2007-11-13 08:04:56+03:00 - build 23

1. Адаптация для 1.80 (unicode)


t-rex 2007-02-06 00:04:22+02:00

1. Общий мэйк файл для x64 и x86 для VC.


svs 2006-12-14 15:16:53+03:00 - build 22

1. Mantis#34: неправильная обработка кавычек в строках FARCmds

svs 2006-12-12 17:47:10+03:00 - build 21

1. Mantis#219: Отсутствует шорткат в диалоге настройки для View/edit empty files
   + к этому были дубликаты в горячих клавишах

t-rex 2006-12-08 03:38:32+02:00 - build 20

1. Сборка для x64 + мэйк для VC.

2. Перевод.


svs 2006-11-28 17:56:06+03:00 - build 1.71.0.19

1. Mantis#0000220: Удаление файла с нулевым размером после view:filename
                   или edit:filename

2. Mantis#0000221: Не создается файл при вызове edit:filename в случае если
                   файл отсутствует
